Update Platform Config

Update Platform Config
Update configuration or scale an existing LicenseHub deployment

Updates the LicenseHub configuration and triggers the appropriate Lifecycle Management (LCM) workflow asynchronously.

Behavior:

  • Fresh Platform (Not Deployed): If the platform record exists but the cluster hasn't been deployed yet, this updates the configuration and immediately triggers the initial deployment workflow.
  • Deployed Platform (Day-2 Operation): If the LicenseHub is already running, this saves the updated configuration and triggers a Day-2 configuration update workflow.

Workflow Chain: The response returns a 202 Accepted with a status_url. Call GET /lh-appliance/platforms/{platform-id}/status to poll the update/deployment progress.

Request
URI
PUT
https://{api_host}/https://{api_host}:{port}/lh-appliance/platforms/{platform-id}
COPY
Path Parameters
string
platform-id
Required

A globally unique UUID representing the LicenseHub to update.

platform-id example
434348d8-681e-4809-8dc1-427127d2bee7

Request Body

The modified LicenseHub configuration to apply.

LicenseHubConfig of type(s) application/json
Required
This request body class requires all of the following: ManagedResource , InlineLicenseHubConfig1
{
    "_revision": 1,
    "desired_state": "START",
    "network": {
        "dns": [
            "dns.broadcom.example"
        ],
        "network_configs": [
            {
                "platform_default_gateway": "172.16.111.1",
                "platform_subnet": "172.16.111.1/24",
                "service_pools": [
                    {
                        "end": "172.16.111.89",
                        "name": "service-ippool-name-1",
                        "start": "172.16.111.71"
                    }
                ]
            }
        ],
        "ntp": "ntp.broadcom.example",
        "search_domain": "searchdomain.example"
    },
    "service": {
        "ingress_fqdn": "ingress-fqdn.example",
        "instance_name": "instance-name-example",
        "kafka_fqdn": "kafka-fqdn.example"
    }
}
Authentication
This operation uses the following authentication methods.
Responses
202

The platform action request has been accepted. Use the returned platform ID and status URL to query for more detailed information.

Returns AsyncApiResponse of type(s) application/json
{
    "id": "434348d8-681e-4809-8dc1-427127d2bee7",
    "status_url": "https://licensehub.example.com/lh-appliance/platforms/434348d8-681e-4809-8dc1-427127d2bee7/status"
}
string
id
Optional

UUID identifier of the response.

string
status_url
Optional

The URL to check the status of the operation.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

An error occurred while checking the LicenseHub service.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/https://{api_host}:{port}/lh-appliance/platforms/{platform-id}